
## P2P Logical Network Topology

<style>
  svg {
    width: 100%;
  }
</style>

---

```mermaid
graph TD;

    classDef pnet color:#222,fill:#68f,stroke:#000,stroke-width:2px;

    style id20 color:#222,fill:#aaa,stroke:#000,stroke-width:2px;

    subgraph id20[P2P Logical Network]

    id3[Server];
    id4[Desktop];
    id5[Laptop];
    id6[Tablet];
    id7[Smartphone];

    id10((P2P Overlay Network));

    id3 --- id10;
    id4 --- id10;
    id5 --- id10;
    id6 --- id10;
    id7 --- id10;

    class id10 pnet;
    class id3 pnet;
    class id4 pnet;
    class id5 pnet;
    class id6 pnet;
    class id7 pnet;

    end

```

---
